Bug 200049 - 33 classes via J2eePlatformSourceForBinaryQuery
33 classes via J2eePlatformSourceForBinaryQuery
Status: REOPENED
Product: javaee
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: 7.2
Assigned To: Petr Hejl
issues@javaee
: PERFORMANCE, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-11 14:23 UTC by Jaroslav Tulach
Modified: 2012-04-13 12:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
the patch (8.36 KB, patch)
2011-10-03 14:52 UTC, Petr Hejl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-07-11 14:23:07 UTC
Running whitelist tests indicates that 

org.netbeans.modules.j2ee.deployment.impl.query.J2eePlatformSourceForBinaryQuery.findSourceRoots2()

loads 33 classes from j2ee.deployment.plugins, glassfish.javaee, etc. while there does not seem to be a single registered server.

This has already been reported as bug 177841 and bug 148177, but as those bugs are said to be fixed, I am reporting new bug to track it again.
Comment 1 Jaroslav Tulach 2011-07-11 14:25:28 UTC
Not all classes have to be eliminated, some may be infrastructure ones. But clearly loading glassfish related classes is wrong.

See http://deadlock.netbeans.org/hudson/job/ergonomics/2571/ for list of related issues.
Comment 2 Petr Jiricka 2011-07-12 09:23:52 UTC
Hi, I can not see 33 classes from j2ee.deployment.plugins, glassfish.javaee in 
http://deadlock.netbeans.org/hudson/job/ergonomics/2571/testReport/org.netbeans.test.ide/WhitelistTest/testWhitelist3/, I only see 2:

org.netbeans.modules.glassfish.common.wizards.GlassfishWizardProvider
org.netbeans.modules.j2ee.deployment.plugins.spi.ServerLibraryManager

Which other classes did you have in mind? Thanks.
Comment 3 Quality Engineering 2011-07-12 14:18:51 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/9c834f488ea6
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #200049: Allowing Glassfish & co. - backout when the bug is fixed
Comment 4 Petr Jiricka 2011-07-13 11:42:11 UTC
Not a stopper for 7.0.1 -> TM=7.1.
Comment 5 Jaroslav Tulach 2011-07-17 08:53:46 UTC
The 33 classes are counted together with bug 177841 and 148177 which are marked as fixed, but in fact they were not.

To reproduce I suggest to remove the classes following line # IZ 200049 in http://hg.netbeans.org/main-golden/rev/9c834f488ea6 and re-run the tests.
Comment 6 Jaroslav Tulach 2011-07-20 07:29:53 UTC
"Profiling" snapshot showing who loads what violator:
http://netbeans.org/bugzilla/attachment.cgi?id=109525
Comment 7 Petr Hejl 2011-10-03 14:52:15 UTC
Created attachment 111427 [details]
the patch
Comment 8 Petr Hejl 2011-10-03 14:54:29 UTC
The patch prevents instantiation of serverplugin classes when there are no instances of the server registered in the IDE.

Please review.
Comment 9 Petr Hejl 2011-10-10 08:40:28 UTC
Thanks for the review. I'll integrate the change tomorrow.
Comment 10 Petr Hejl 2011-10-11 10:14:38 UTC
Fixed in web-main f099b820fb2e.
Comment 11 Quality Engineering 2011-10-12 14:27:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f099b820fb2e
User: Petr Hejl <phejl@netbeans.org>
Log: #200049 33 classes via J2eePlatformSourceForBinaryQuery
Comment 12 Petr Hejl 2011-10-19 11:30:21 UTC
I reverted the patch as it introduced bug #203816.
Comment 13 Petr Jiricka 2012-04-13 12:08:38 UTC
I am trying to run WhitelistTest.testWhitelist3(), but I am not succeeding:
testWhitelist3 Failed: The test testWhitelist3 did not finish in 449304ms ...

Anyway, do we have some plan how to fix this? If not, then I suggest to close this as WONTFIX.
Comment 14 Petr Hejl 2012-04-13 12:45:36 UTC
I'll give it one more day. The issue preventing this to be resolved is the complicated side effect GF registration in GF plugin. Unfortunatelly this is also deadlock prone part of GF.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo